Loading...
Searching...
No Matches
RDKit::SubstanceGroupChecks Namespace Reference

## Functions

RDKIT_GRAPHMOL_EXPORT bool | isValidType (const std::string &type)
RDKIT_GRAPHMOL_EXPORT bool | isValidSubType (const std::string &type)
RDKIT_GRAPHMOL_EXPORT bool | isValidConnectType (const std::string &type)
RDKIT_GRAPHMOL_EXPORT bool | isValidClass (const std::string &sgroupClass)
RDKIT_GRAPHMOL_EXPORT bool | isSubstanceGroupIdFree (const ROMol &mol, unsigned int id)

## Variables

const std::vector< std::string > | sGroupTypes
const std::vector< std::string > | sGroupSubtypes = {"ALT", "RAN", "BLO"}
const std::vector< std::string > | sGroupConnectTypes = {"HH", "HT", "EU"}
const std::vector< std::string > | sGroupClasses

## Function Documentation

## isSubstanceGroupIdFree()

RDKIT_GRAPHMOL_EXPORT bool RDKit::SubstanceGroupChecks::isSubstanceGroupIdFree | ( | const ROMol & | mol,
|  | unsigned int | id )

References RDKIT_GRAPHMOL_EXPORT.

## isValidClass()

RDKIT_GRAPHMOL_EXPORT bool RDKit::SubstanceGroupChecks::isValidClass | ( | const std::string & | sgroupClass | ) |

References RDKIT_GRAPHMOL_EXPORT.

## isValidConnectType()

RDKIT_GRAPHMOL_EXPORT bool RDKit::SubstanceGroupChecks::isValidConnectType | ( | const std::string & | type | ) |

References RDKIT_GRAPHMOL_EXPORT.

## isValidSubType()

RDKIT_GRAPHMOL_EXPORT bool RDKit::SubstanceGroupChecks::isValidSubType | ( | const std::string & | type | ) |

References RDKIT_GRAPHMOL_EXPORT.

## isValidType()

RDKIT_GRAPHMOL_EXPORT bool RDKit::SubstanceGroupChecks::isValidType | ( | const std::string & | type | ) |

References RDKIT_GRAPHMOL_EXPORT.

## Variable Documentation

## sGroupClasses

const std::vector<std::string> RDKit::SubstanceGroupChecks::sGroupClasses

Initial value:
= {
"AA", "dAA", "DNA", "RNA", "SUGAR", "BASE",
"PHOSPHATE", "LINKER", "CHEM", "LGRP", "MODAA", "MODdAA",
"MODDNA", "MODRNA", "XLINKAA", "XLINKdAA", "XLINKDNA", "XLINKRNA",
}

Definition at line 253 of file SubstanceGroup.h.

## sGroupConnectTypes

const std::vector<std::string> RDKit::SubstanceGroupChecks::sGroupConnectTypes = {"HH", "HT", "EU"}

Definition at line 252 of file SubstanceGroup.h.

## sGroupSubtypes

const std::vector<std::string> RDKit::SubstanceGroupChecks::sGroupSubtypes = {"ALT", "RAN", "BLO"}

Definition at line 251 of file SubstanceGroup.h.

## sGroupTypes

const std::vector<std::string> RDKit::SubstanceGroupChecks::sGroupTypes

Initial value:
= {
"SRU", "MON", "COP", "CRO", "GRA", "MOD", "MER", "ANY",
"COM", "MIX", "FOR",
"SUP", "MUL", "DAT", "GEN"}

Definition at line 243 of file SubstanceGroup.h.